Vim如何设置syntastic插件使用python3解释器?

文档

问题1

在vim中启用syntastic对语法检查的设置是:

let g:syntastic_python_checkers = ['pylint', 'flake8']

我的问题是服务器默认的解释器是python2.x,因为有些脚本依赖于python2.x所以不能切换到python3.x,有时候也不想切换到virtualenv新建一个虚拟环境。请问如何在vim中设置让pylint或者flake8使用python3.x的语法检查?

ps: pip3 install pylintpip[2] install pylint都已经完成。

问题2

以python为例,syntastic的静态语法分析感觉做的不是很完善,因为它不会一次性显示全部的语法错误。有时候必须修改完前面一个error或者warning之后,下一个error或者warning才会显示。请问各位vimer是如何解决这个问题的?或者说不使用syntastic做静态语法分析?

查看回复